#ifndef __SQL_MAILBOX_LIST_H
#define __SQL_MAILBOX_LIST_H

#include "mailbox-list-private.h"

#define SQL_MAX_CREATE_MAILBOX_NAME_LENGTH 255

struct sql_mailbox_list {
	struct mailbox_list list;
	struct sql_db *db;
	unsigned int user_id;
};

extern struct mailbox_list sql_mailbox_list;

struct mailbox_list_iterate_context *
sql_mailbox_list_iter_init(struct mailbox_list *_list,
			   const char *const *patterns,
			   enum mailbox_list_iter_flags flags);
int sql_mailbox_list_iter_deinit(struct mailbox_list_iterate_context *ctx);
const struct mailbox_info *
sql_mailbox_list_iter_next(struct mailbox_list_iterate_context *ctx);

#endif
